Packages

Index

get

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • createdBy

  • createdBy_count

  • createdByExists

  • flowVersions

  • flowVersions_count

  • flowVersionsExists

  • virtualEnvironments

  • virtualEnvironments_count

  • virtualEnvironmentsExists

  • deployments

  • deployments_count

  • deploymentsExists

  • deployments.virtualEnvironment

  • deployments.virtualEnvironment.deployedVersion

  • deployments.user

  • package

  • package_count

  • packageExists

  • flowVersionDeployments

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • name

Available Fields

These are the fields that can be requested to limit the data returned. Please see the section on using fields for more details.

  • packages.id

  • packages.name

  • packages.notes

  • packages.created_by

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • name

Authorizations
Query parameters
filter[name]stringOptional

Filter results by name.

includestringOptional

Comma-separated list of relationships to include. Available: createdBy, flowVersions.deployments, virtualEnvironments, deployments.virtualEnvironment.deployedVersion, deployments.user, package, flowVersionDeployments, flowVersionDeployments, flowVersionDeployments

sortstringOptional

Sort field. Prefix with - for descending. Available: name

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/packages

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

notes

string

Authorizations
Body
notesstring · max: 255 · nullableOptional
namestring · max: 255Required
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/packages

Show

get

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • createdBy

  • createdBy_count

  • createdByExists

  • flowVersions

  • flowVersions_count

  • flowVersionsExists

  • virtualEnvironments

  • virtualEnvironments_count

  • virtualEnvironmentsExists

  • deployments

  • deployments_count

  • deploymentsExists

  • deployments.virtualEnvironment

  • deployments.virtualEnvironment.deployedVersion

  • deployments.user

  • package

  • package_count

  • packageExists

  • flowVersionDeployments

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • name

Available Fields

These are the fields that can be requested to limit the data returned. Please see the section on using fields for more details.

  • packages.id

  • packages.name

  • packages.notes

  • packages.created_by

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • name

Authorizations
Path parameters
packagestringRequired

The package identifier.

Query parameters
filter[name]stringOptional

Filter results by name.

includestringOptional

Comma-separated list of relationships to include. Available: createdBy, flowVersions.deployments, virtualEnvironments, deployments.virtualEnvironment.deployedVersion, deployments.user, package, flowVersionDeployments, flowVersionDeployments, flowVersionDeployments

sortstringOptional

Sort field. Prefix with - for descending. Available: name

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/packages/{package}

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

notes

string

Authorizations
Path parameters
packagestringRequired

The package identifier.

Body
notesstring · max: 255 · nullableOptional
namestring · max: 255Optional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/packages/{package}

Destroy

delete

Delete a package.

Authorizations
Path parameters
packagestringRequired

The package identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/packages/{package}

Compare

get

Compare for compare.

Authorizations
Path parameters
packagestringRequired

The package identifier.

virtual_environmentstringRequired

The virtual environment identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
get
/api/v1/packages/{package}/compare/{virtual_environment}

Deploy

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

notes

string

Authorizations
Path parameters
packagestringRequired

The package identifier.

virtual_environmentstringRequired

The virtual environment identifier.

Body
notesstringOptional
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/packages/{package}/deploy/{virtual_environment}

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

priority

integer

Authorizations
Path parameters
packagestringRequired

The package identifier.

flow_versionstringRequired

The flow version identifier.

Body
priorityinteger · min: 1 · max: 100 · nullableOptional
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/packages/{package}/flow-versions/{flow_version}

Destroy

delete

Delete a flow version.

Authorizations
Path parameters
packagestringRequired

The package identifier.

flow_versionstringRequired

The flow version identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/packages/{package}/flow-versions/{flow_version}

Destroy

delete

Delete a virtual environment.

Authorizations
Path parameters
packagestringRequired

The package identifier.

virtual_environmentstringRequired

The virtual environment identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/packages/{package}/virtual-environments/{virtual_environment}

Last updated

Was this helpful?